## feynmf 1.08

=== Makefile ===
# Makefile -- install feynmf.
# Copyright (C) 1994,1995 Thorsten.Ohl@Physik.TH-Darmstadt.de
#
# Feynmf is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by 
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Feynmf is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.27 1996/12/02 09:20:35 ohl Exp $
#
########################################################################

VERSION = 1
RELEASE = 08
STATUS  = 

########################################################################

# Directories
prefix = $(HOME)
bindir = $(prefix)/bin
mandir = $(prefix)/man/man1
texdir = $(prefix)/tex/inputs
mfdir = $(prefix)/mf/inputs
docdir = $(texdir)/doc

# Commands
INSTALL = install -c -m 755
INSTALL_DATA = install -c -m 644
# INSTALL = cp
# INSTALL_DATA = cp

# This has to be the new LaTeX
LATEX = latex
# This should be the old LaTeX
LATEX209 = tex '&latex209'
# This must not have the cmbase preloaded:
MF = mf
MP = mp
MAKEINDEX = makeindex

# Your local printer mode
MFMODE = laserjet

########################################################################
# No user serviceable parts below:
########################################################################

RESOLVE_XREF = \
  $(LATEX) $*.drv && \
  while grep 'Rerun to get cross-references right\.' $*.log; \
  do \
    $(LATEX) $*.drv; \
  done

RESOLVE_XREF209 = \
  $(LATEX209) $*.drv && \
  while grep 'Rerun to get cross-references right\.' $*.log; \
  do \
    $(LATEX209) $*.drv; \
  done

RUN_METAFONT = \
  $(MF) '\mode:=$(MFMODE); input fmfsamp1'; \
  $(MF) '\mode:=$(MFMODE); input fmfsamp2'; \
  $(MF) '\mode:=$(MFMODE); input fmfsamp3'; \
  $(MF) '\mode:=$(MFMODE); input fmfsamp4'

RUN_METAPOST = \
  $(MP) fmfsamp1; \
  $(MP) fmfsamp2; \
  $(MP) fmfsamp3; \
  $(MP) fmfsamp4;

RUN_MAKEINDEX = \
  $(MAKEINDEX) -s gind.ist -o $*.ind $*.idx && \
  $(MAKEINDEX) -s gglo.ist -o $*.gls $*.glo

MANPICS = manpics.1 manpics.2 manpics.3

all: feynmf.sty feynmf.mf feynmf.drv \
     feynmp.sty feynmp.mp feynmp.drv $(MANPICS) \
     feynmf.1

all209: feynmf209.sty feynmf.mf feynmf209.drv \
	feynmp209.sty feynmp.mp feynmp209.drv $(MANPICS)

man: fmfman.dvi

man209: fmfman209.dvi

quick-man:
	$(MAKE) man RUN_MAKEINDEX=: RESOLVE_XREF=:

dvi: feynmf.dvi

dvi209: feynmf209.dvi

quick-dvi:
	$(MAKE) dvi RUN_MAKEINDEX=: RESOLVE_XREF=:

bigtest: feynmf.dvi feynmp.dvi fmfman.dvi fmfmanps.dvi manual.ps

bigtest209: feynmf209.dvi feynmp209.dvi fmfman209.dvi \
	    fmfman209ps.dvi manual209.ps

install: all
	$(INSTALL_DATA) feynmf.mf $(mfdir)
	$(INSTALL_DATA) feynmp.mp $(mfdir)
	$(INSTALL_DATA) feynmf.sty $(texdir)
	$(INSTALL_DATA) feynmp.sty $(texdir)
	$(INSTALL_DATA) feynmf.1 $(mandir)
	$(INSTALL) feynmf.pl $(bindir)/feynmf

install.doc: all
	$(INSTALL_DATA) feynmf.dtx $(docdir)
	$(INSTALL_DATA) feynmf.drv $(docdir)
	$(INSTALL_DATA) fmfman.drv $(docdir)
	$(INSTALL_DATA) $(MANPICS)  $(docdir)

uninstall:
	rm -f $(mfdir)/feynmf.mf
	rm -f $(mfdir)/feynmp.mp
	rm -f $(texdir)/feynmf.sty
	rm -f $(texdir)/feynmp.sty
	rm -f $(bindir)/feynmf
	rm -f $(mandir)/feynmf.1

uninstall.doc:
	rm -f $(docdir)/feynmf.dtx
	rm -f $(docdir)/feynmf.drv
	rm -f $(docdir)/fmfman.drv

feynmf.sty: feynmf.dtx feynmf.ins
	$(LATEX) feynmf.ins

feynmf209.sty: feynmf.dtx feynmf209.ins
	$(LATEX209) feynmf209.ins

feynmf.mf feynmf.drv feynmp.sty feynmp.mp feynmp.drv \
  fmfman.drv fmfmanps.drv: feynmf.sty

feynmf209.drv feynmp209.sty feynmp209.drv \
  fmfman209.drv fmfman209ps.drv: feynmf209.sty

feynmf.dvi: feynmf.dtx feynmf.drv feynmf.sty feynmf.mf $(MANPICS)
	-$(LATEX) $*.drv
	$(RUN_METAFONT)
	-$(LATEX) $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF)

feynmf209.dvi: feynmf.dtx feynmf209.drv feynmf209.sty feynmf.mf $(MANPICS)
	-$(LATEX209) $*.drv
	$(RUN_METAFONT)
	-$(LATEX209) $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF209)

feynmp.dvi: feynmf.dtx feynmp.drv feynmp.sty feynmp.mp $(MANPICS)
	-$(LATEX) $*.drv
	$(RUN_METAPOST)
	-$(LATEX) $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF)

feynmp209.dvi: feynmf.dtx feynmp209.drv feynmp209.sty feynmp.mp $(MANPICS)
	-$(LATEX209) $*.drv
	$(RUN_METAPOST)
	-$(LATEX209) $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF209)

fmfman.dvi: feynmf.dtx fmfman.drv feynmf.sty feynmf.mf $(MANPICS)
	-$(LATEX) $*.drv
	$(RUN_METAFONT)
	-$(LATEX) $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF)

fmfman209.dvi: feynmf.dtx fmfman209.drv feynmf209.sty feynmf.mf $(MANPICS)
	-$(LATEX209) $*.drv
	$(RUN_METAFONT)
	-$(LATEX209) $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF209)

fmfmanps.dvi: feynmf.dtx fmfmanps.drv feynmp.sty feynmp.mp $(MANPICS)
	-$(LATEX) $*.drv
	$(RUN_METAPOST)
	-$(LATEX) $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF)

fmfman209ps.dvi: feynmf.dtx fmfman209ps.drv feynmp209.sty feynmp.mp $(MANPICS)
	-$(LATEX209) $*.drv
	$(RUN_METAPOST)
	-$(LATEX209) $*.drv
	$(RUN_MAKEINDEX)
	$(RESOLVE_XREF209)

manual.ps.gz: manual.ps
	gzip < $< > $@

manual.ps: fmfmanps.dvi $(MANPICS)
	dvips -o $@ $<

manual209.ps: fmfman209ps.dvi $(MANPICS)
	dvips -o $@ $<

manpics.1: manpics.mp
	-mp $<

manpics.2 manpics.3: manpics.1

feynmf.1: feynmf.pl
	pod2man --section 1 \
	        --release "FeynMF Version $(VERSION).$(RELEASE)$(STATUS)" \
	        --center "Contributed LaTeX Utilities" $< > $@

clean:
	rm -f fmfsamp?.* \
	      *.tfm *.*gf *.*pk \
	      *.log *.t[1-9] *.t[1-9][0-9] *.t[12][0-9][0-9] \
	      *.dvi *.aux *.toc *.ilg *.glo *.gls *.idx *.ind \
	      *.ps *.mpx '#*#' *~ .*~

realclean: clean
	rm -f feynmf.mf feynmf.sty feynmf.drv feynmp.* fmfman* \
	      feynmf209.sty feynmf209.drv feynmp209.*

distclean: realclean

########################################################################
# Maintenance:

DISTFILES = /usr/local/etc/COPYING README Makefile feynmf.dtx \
	    feynmf.ins feynmf209.ins manpics.mp $(MANPICS) \
	    feynmf.pl template.tex

distdir = feynmf-$(VERSION).$(RELEASE)$(STATUS)
CVSTAG = FEYNMF_$(VERSION)_$(RELEASE)$(STATUS)
TEXTAG = v$(VERSION).$(RELEASE)
M = 

fileversion:
	perl -pe \
	  's/^\\def\\fileversion\{.*\}/\\def\\fileversion{$(TEXTAG)}/;' \
	  feynmf.dtx > feynmf.vtmp
	if cmp -s feynmf.dtx feynmf.vtmp; then \
	  rm -f feynmf.vtmp; \
	else \
	  mv feynmf.vtmp feynmf.dtx; \
	fi
	
commit: fileversion
	@if test -n "$(M)"; then \
	  echo "cvs commit -m '$(M)'"; cvs commit -m '$(M)'; \
	  echo "cvs tag $(CVSTAG)"; cvs tag $(CVSTAG); \
	  echo "cvs tag -b $(CVSTAG)_"; cvs tag -b $(CVSTAG)_; \
	else \
	  echo "usage: make commit M='<message>'" 1>&2; \
	fi

dist: $(distdir).tar.gz
snap: feynmf-current.tar.gz

$(distdir).tar.gz:
	rm -fr $(distdir) $(distdir).tmp
	cvs export -r $(CVSTAG) -d $(distdir).tmp feynmf
	mkdir $(distdir)
	(cd ./$(distdir).tmp && \
         make $(DISTFILES) && \
         cp $(DISTFILES) ../$(distdir))
	tar cf - $(distdir) | gzip > $@
	rm -fr $(distdir) $(distdir).tmp

feynmf-current.tar.gz: $(DISTFILES) fileversion
	rm -fr feynmf-current
	mkdir feynmf-current
	touch feynmf-current/1_THIS_IS_A_SNAPSHOT_OF_
	touch feynmf-current/2_WORK_IN_PROGRESS_AND__
	touch feynmf-current/3_NOT_YET_RELEASED_CODE_
	cp $(DISTFILES) feynmf-current
#	perl -pe \
#	  's/\[\\filedate/[(UNRELEASED and UNSUPPORTED snapshot)/;' \
	  feynmf.dtx > feynmf-current/feynmf.dtx
	tar cf - feynmf-current | gzip > $@
	rm -fr feynmf-current

########################################################################
# Local Variables:
# mode:text
# End:

=== debian/changelog ===
feynmf (1.08-9) unstable; urgency=low

  * debian/control: add dependency for texlive-fonts-recommended
                    Thanks to Andreas Moog for the patch (Closes: #738079)
  * debian/control: remove obsolete DM-Upload-Allowed:
  * debian/control: standard changed to 3.9.5 (no changes)
  * debian/control: use dh 9

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Feb 2014 19:00:57 +0100

feynmf (1.08-8) unstable; urgency=low

  * debian/rules: build-arch and build-indep according to lintian
                  recommendation added (Closes: #653384)
  * debian/rules: explicit call to dh_quilt_* removed
  * debian/control: dependency on debhelper (>= 8.0.0)
  * debian/control: dependency on quilt removed

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 06 Jan 2012 18:21:57 +0100

feynmf (1.08-7) unstable; urgency=low

  * patch reworked (Closes: #643114)
  * debian/patches/series adapted to new patch
  * debian/rules: build-arch and build-indep target added
  * debian/control: standard changed to 3.9.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 28 Sep 2011 19:40:14 +0200

feynmf (1.08-6) unstable; urgency=low

  * new maintainer (Closes: #549245)
  * standards version changed to 3.9.0
  * debhelper compatibility level set to 7
  * debian/rules: dh_clean -k replaced by dh_prep
  * debian/copyright: point to GPL with version instead of simply GPL
  * debian/control: homepage added
  * debian/control: DM-Upload-Allowed added
  * debian/control: dependency on quilt added and modifications changed 
    to patches
  * debian/control: dependency on texlive-latex-recommended added, the new 
    fonts produce a nicer manual
  * debian/README.source added

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 08 Jul 2010 21:00:00 +0200

feynmf (1.08-5) unstable; urgency=low

  * Remove initial "-" from "make distclean" in debian/rules clean.
  * Change doc-base section to Science/Physics for doc-base sections update.
  * Bump Standards-Version to 3.7.3.
  * Edit debian/copyright to give copyright years and a pointer to the GPL v2.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 20 Mar 2008 14:21:41 -0700

feynmf (1.08-4) unstable; urgency=low

  * Remove now-obsolete teTeX dependencies in favor of TeXLive.  Fixes
    build failure discovered by Lucas Nussbaum.

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed,  2 May 2007 16:12:10 -0400

feynmf (1.08-3) unstable; urgency=medium

  * Make this package installable in parallel with TeXLive packages by
    adding alternate dependencies.  (Hence urgency medium, to get into
    testing faster.)  If no TeX packages are installed, TeXLive will now
    be preferred to satisfy dependencies.
  * Add Suggests: texlive-metapost | tetex-extra, and a note in the long
    description that one of these packages is required in order to use
    MetaPost.
  * Use dh_installtex instead of handwritten postinst/postrm scripts.
    Add Build-Depends-Indep on tex-common (>= 0.16).
  * Set $(TEXMFVAR) to $(CURDIR)/.texmf-var during build, as requested by
    the Debian TeX maintainers.  Take care of creating and removing this
    directory in the appropriate targets.
  * Split upstream README into a README and a ChangeLog file for purposes
    of having a standard Debian documentation setup.
  * Do not rename the upstream manual (manual.ps.gz), only the link to it
    (feynmf.ps.gz) for texdoc's use.
  * Fix "magnifincation" typo in feynmf.{dtx,pl}.
  * Bump Standards-Version to 3.7.2 (no changes).
  * Build-Depends: debhelper (instead of Build-Depends-Indep) to fix
    Lintian error.

 -- Kevin B. McCarty <kmccarty@debian.org>  Tue, 28 Nov 2006 09:41:29 -0500

feynmf (1.08-2) unstable; urgency=low

  * Add Build-Depends-Indep on tetex-extra for MetaPost.  (closes: #340890)

 -- Kevin B. McCarty <kmccarty@debian.org>  Sun, 27 Nov 2005 02:18:38 +0000

feynmf (1.08-1) unstable; urgency=low

  * Initial release.  (closes: #339513)

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed, 16 Nov 2005 19:58:27 +0000

=== debian/control ===
Source: feynmf
Section: tex
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 9.0.0)
Build-Depends-Indep: perl, tex-common (>= 0.16), texlive-latex-base, texlive-metapost, texlive-latex-recommended, texlive-fonts-recommended
Standards-Version: 3.9.5
Homepage: http://xml.web.cern.ch/XML/textproc/feynmf.html

Package: feynmf
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, texlive-latex-base, texlive-font-utils, texlive-extra-utils
Suggests: texlive-metapost
Description: set of LaTeX macros for creating Feynman diagrams
 FeynMF is a LaTeX package for easy drawing of professional-quality Feynman
 diagrams, illustrations that depict the fundamental interactions of subatomic
 particles.  The diagrams may be created using either the Metafont
 or MetaPost programs.  FeynMF lays out most diagrams satisfactorily from the
 structure of the graph without any need for manual intervention.
 Nevertheless all the power of Metafont or MetaPost is available for more
 obscure cases.
 .
 Note that you will need the texlive-metapost package in order to use the
 MetaPost-based version of FeynMF.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export TEXMFVAR = $(CURDIR)/.texmf-var
PKGDIR = $(CURDIR)/debian/feynmf

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	mkdir -p "$(TEXMFVAR)"
	$(MAKE) MP=mpost MF=mf-nowin all manual.ps
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp manual.ps manual.ps.gz feynmf.1
	$(MAKE) distclean
	rm -rf "$(TEXMFVAR)"
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(PKGDIR)/usr \
			mandir=$(PKGDIR)/usr/share/man/man1 \
			texdir=$(PKGDIR)/usr/share/texmf/tex/latex/feynmf \
			mfdir=$(PKGDIR)/usr/share/texmf/metafont/feynmf
	mv -f $(PKGDIR)/usr/share/texmf/metafont/feynmf/feynmp.mp \
		$(PKGDIR)/usr/share/texmf/metapost/feynmf/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installtex
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:
# We have nothing to do by default.

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install
